Subject: Re: bug#79200: 31.0.50; Duplicated elements for '#<marker at' in buffer-undo-list

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Aug 2025 12:19:51 +0300

> Cc: [email-masked], Stefan Monnier <[email-masked]>
> Date: Sat, 09 Aug 2025 11:01:37 +0200
> From:  Óscar Fuentes via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Gerd Möllmann <[email-masked]> writes:
> 
> > Óscar Fuentes <[email-masked]> writes:
> >
> >> emacs -Q
> >>
> >> write in *scratch* some lines with random words:
> >>
> >> arins
> >> arseina
> >> aierni
> >>
> >> iosrn nioni
> >> ionugfw
> >>
> >> sronuf
> >>
> >> Now undo a few of those lines (C-_), move the cursor and C-_ again to
> >> redo.
> >
> > Interesting. I come from a slightly different angle, that in my mac+igc
> > port I had sometimes only 3 undos before I got "no more undo
> > information". and I thought I had messed up something.
> 
> Same here, but igc/Linux. Please note that the recipe on my report is
> with yesterday's master, though.

I cannot reproduce on master.  Maybe you should try invoking GC there
before you look at the value of buffer-undo-list.